curl --request GET \
--url https://api.bridge.xyz/v0/rfis \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/rfis"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/rfis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"data": [
{
"id": "rfi_ah4nyoi9pcbrgl3mnu092l6b",
"state": "on_developer",
"type": "Compliance Alert - EFE 1PP",
"developer_id": "dev_2p6ipnn5b7x7xrpn97fljzt6",
"customer_id": "cust_c6ednm25xanjrx1yzz5s4t8n",
"referent_id": "transfer_hmyt7lyjqr0h39s5g87lo0jn",
"referent_type": "transfer",
"context": {
"amount_display": "$1,000.00",
"currency_display": "USD",
"transaction_date": "2026-08-01",
"sender_name": "Jane Doe"
},
"bridge_action_taken": null,
"expected_action_on_expiry": "pause_customer",
"deadline": "2026-08-15T00:00:00.000Z",
"requested_items": [
{
"name": "source_of_funds_text",
"display_text": "What is the source of funds for this payment? Please provide supporting documentation (bank or investment statement, pay stub, invoice, receipt or contract).",
"response_type": "text"
},
{
"name": "source_of_funds_attachment",
"display_text": "What is the source of funds for this payment? Please provide supporting documentation (bank or investment statement, pay stub, invoice, receipt or contract).",
"response_type": "attachment"
}
],
"dashboard_url": "https://dashboard.bridge.xyz/rfis/rfi_ah4nyoi9pcbrgl3mnu092l6b",
"state_changed_at": "2026-08-01T00:00:00.000Z",
"created_at": "2026-08-01T00:00:00.000Z",
"closed_at": null
}
]
}Get all RFIs
Retrieve a list of requests for information (RFIs) raised against your developer or customer accounts
Authorizations
Query Parameters
The number of items to return (min 1, default 10, max 100)
1 <= x <= 100This is an RFI id. If this is specified, the next page that starts with an RFI right AFTER the specified id on the timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that RFIs older than the specified RFI id will be returned (shouldn't be set if ending_before is set)
This is an RFI id. If this is specified, the previous page that ends with an RFI right BEFORE the specified id on the timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that RFIs newer than the specified RFI id will be returned (shouldn't be set if starting_after is set)
If specified, results will be filtered to the given customer_id only
If specified, results will be filtered to RFIs with the given state only
on_developer, on_bridge, closed Was this page helpful?
